#
# spec file for package ImageMagick (Version 5.5.7)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  autoconf automake freetype2 freetype2-devel ghostscript-fonts-other ghostscript-fonts-std ghostscript-library ghostscript-serv gpp libexif libgpp libjasper libjpeg liblcms liblcms-devel libpng-devel-packages libtiff libwmf libwmf-devel libxml2 libxml2-devel x-devel-packages xpm
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils cracklib fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext ghostscript-fonts-other ghostscript-fonts-std ghostscript-library ghostscript-serv libexif libjasper libjpeg liblcms liblcms-devel libpng libpng-devel libstdc++-devel libtiff libtool libwmf libwmf-devel libxml2 libxml2-devel perl rpm

Name:         ImageMagick
Obsoletes:    imagemag
Provides:     imagemag
%define xtp_version 5.4.3
%define prefix /usr
%define perl_prefix /usr
License:      distributable, Other License(s), see package
Group:        Productivity/Graphics/Other
Autoreqprov:  on
Version:      5.5.7
Release:      233
Summary:      Viewer and converter for images
URL:          http://www.imagemagick.org
Source:       ImageMagick-%{version}-10.tar.bz2
Source2:      xtp-%{xtp_version}.tar.bz2
Patch1:       ImageMagick-%{version}-configure.patch
Patch2:       ImageMagick-%{version}-delegates.patch
Patch3:       ImageMagick-%{version}-examples.patch
Patch4:       ImageMagick-%{version}-perl.patch
Patch5:       ImageMagick-%{version}-config.patch
Patch6:       ImageMagick-%{version}-tiff.patch
Patch7:       ImageMagick-%{version}-annotate.patch
Patch8:       ImageMagick-%{version}-bmp.patch
Patch9:       ImageMagick-exifoverflow.patch
Patch10:      ImageMagick-%{version}-psd.patch
Patch11:      ImageMagick-formatstring.patch
Patch12:      ImageMagick-5.5.7-psd-pixel.patch
Patch13:      ImageMagick-5.5.7-sgi.patch
Patch14:      ImageMagick-5.5.7-tiff-overflow.patch
Patch15:      ImageMagick-5.5.7-tifftag.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%package -n perl-PerlMagick
Requires:     perl = %{perl_version}
Summary:      Perl interface for ImageMagick
Group:        Development/Libraries/Perl
Autoreqprov:  on
%package devel
Requires:     ImageMagick
Summary:      Includes and static libraries for ImageMagick
Group:        Development/Libraries/C and C++
Autoreqprov:  on
%package Magick++
Requires:     ImageMagick ImageMagick-devel
Obsoletes:    magickpp
Provides:     magickpp
Summary:      C++ interface to ImageMagick
Group:        Development/Libraries/C and C++
Autoreqprov:  on
%prep
rm -rf xtp-%{xtp_version}
%setup -n ImageMagick-%{version} -b 2
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10
%patch11
%patch12
%patch13
%patch14
%patch15

%build
cp -f /usr/share/libtool/libltdl/*.{c,h} ltdl
mv ltdl/ltdl.c ltdl/ltdl.c.orig
sed -e "s:<config.h>:<magick/magick_config.h>:" ltdl/ltdl.c.orig >ltdl/ltdl.c
%{?suse_update_config:%{suse_update_config -f ltdl }}
autoreconf --force --install
pushd ../xtp-%{xtp_version}
%{?suse_update_config:%{suse_update_config -f }}
autoreconf --force --install
popd
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS"
export CPPFLAGS="-I/usr/include/freetype2 -I/usr/include/lcms "
export LDFLAGS="-L%{_libdir}"
./configure --prefix=%{prefix} --libdir=%{_libdir} \
         --mandir=%{_mandir} --enable-shared --without-frozenpaths \
	 --with-largefiles  --with-magick_plus_plus --with-modules\
	 --with-threads --without-perl 
make all
cd PerlMagick
perl Makefile.PL
make LD_RUN_PATH="/usr/%{_lib}:/usr/X11R6/%{_lib}" 
#
cd ../../xtp-%{xtp_version}
./configure --prefix=%{prefix} --libdir=%{_libdir} --mandir=%{_mandir} 
make 

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/images
make install \
     DESTDIR=$RPM_BUILD_ROOT \
     pkgdocdir=%{_defaultdocdir}/%{name}/
install -m 644 ChangeLog Copyright.txt \
        QuickStart.txt README.txt \
	$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/
cd PerlMagick
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist     
cd ../Magick++
  rm -rf demo/{.deps,.libs,*.C,*.o,Makefile*,run_demos.bat} `find demo -type f -perm +111`
  mv demo/makefile.2 demo/Makefile
cd ..
pushd ../xtp-%{xtp_version}
  make DESTDIR=$RPM_BUILD_ROOT install 
popd
cp -a scenes $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/
find $RPM_BUILD_ROOT/%{_libdir} -name "*.la" -print0 | xargs -0 -r perl -spi -e "s@ -L/usr/src[^ ]*@@g" 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%docdir %{_defaultdocdir}/%{name}
%{_defaultdocdir}/%{name}
%config %{_libdir}/ImageMagick*/*.mgk
%{prefix}/bin/[^M]*
%{_libdir}/libMagick.la
%{_libdir}/libMagick.so.*
%doc %{_mandir}/man1/*
%doc %{_mandir}/man5/quantize.5*
%doc %{_mandir}/man4/miff.4*
#
%dir %{_libdir}/ImageMagick*
%dir %{_libdir}/ImageMagick*/modules*
%dir %{_libdir}/ImageMagick*/modules*/*
%{_libdir}/ImageMagick*/modules*/*/*.la
%{_libdir}/ImageMagick*/modules*/*/*.so
%config %{_libdir}/ImageMagick*/modules*/coders/*.mgk

%files devel
%defattr(-,root,root)
%{_libdir}/libMagick.so
%{_libdir}/libMagick.a
%{prefix}/include/magick
%{prefix}/bin/Magick-config
%{_libdir}/pkgconfig/ImageMagick.pc
#
%{_libdir}/ImageMagick*/modules*/*/*.a

%files -n perl-PerlMagick
%defattr(-,root,root)
%doc PerlMagick/README.txt
%doc PerlMagick/demo
/var/adm/perl-modules/ImageMagick
%doc %{_mandir}/man3/Image::Magick.3pm*
%{perl_vendorarch}/auto/Image
%{perl_vendorarch}/Image

%files Magick++
%defattr(-,root,root)
%doc Magick++/NEWS Magick++/README Magick++/TODO Magick++/demo
%{_libdir}/libMagick++*
%{prefix}/include/Magick++.h
%{prefix}/include/Magick++
%{prefix}/bin/Magick++-config
%{_libdir}/pkgconfig/ImageMagick++.pc

%description
ImageMagick is a robust collection of tools and libraries to read,
write, and manipulate an image in many image formats including popular
formats like TIFF, JPEG, PNG, PDF, PhotoCD, and GIF. With ImageMagick
you can create images dynamically, making it suitable for Web
applications. You can also resize, rotate, sharpen, color-reduce, or
add special effects to an image and save your completed work in many
different image formats. Image processing operations are available from
the command line, as well as through C, C++, and PERL-based programming
interfaces.



Authors:
--------
    John Cristy <cristy@dupont.com>


%description devel
ImageMagick is a robust collection of tools and libraries to read,
write, and manipulate an image in many image formats including popular
formats like TIFF, JPEG, PNG, PDF, PhotoCD, and GIF. With ImageMagick
you can create images dynamically, making it suitable for Web
applications. You can also resize, rotate, sharpen, color-reduce, or
add special effects to an image and save your completed work in many
different image formats. Image processing operations are available from
the command line, as well as through C, C++, and PERL-based programming
interfaces.



Authors:
--------
    John Cristy <cristy@dupont.com>


%description -n perl-PerlMagick
PerlMagick is an objected-oriented Perl interface to ImageMagick. Use
the module to read, manipulate, or write an image or image sequence
from within a Perl script. This makes it suitable for Web CGI scripts.
You must have ImageMagick 4.0.8 above and Perl version 5.002 or greater
installed on your system.



Authors:
--------
    John Cristy <cristy@dupont.com>


%description Magick++
This is Magick++, the object-oriented C++ API to the ImageMagick
image-processing library.

Magick++ supports an object model which is inspired by PerlMagick.
Magick++ should be a bit faster than PerlMagick since it is written in
a compiled language which is not parsed at run-time. This makes it
suitable for Web CGI programs. Images support implicit reference
counting so that copy constructors and assignment incur almost no cost.
The cost of actually copying an image (if necessary) is done just
before modification and this copy is managed automatically by Magick++.
De-referenced copies are automatically deleted. The image objects
support value (rather than pointer)  semantics so it is trivial to
support multiple generations of an image in memory at one time.



Authors:
--------
    Bob Friesenhahn <bfriesen@simple.dallas.tx.us>


%changelog -n ImageMagick
* Tue Mar 08 2005 - nadvornik@suse.cz
- fixed various crashes and buffer overflows [#65351]
* Tue Mar 08 2005 - nadvornik@suse.cz
- fixed format string vulnerability [#67273]
* Tue Jan 18 2005 - nadvornik@suse.cz
- fixed an overflow in .psd file read [#49839]
* Mon Nov 01 2004 - nadvornik@suse.cz
- fixed integer overflow in EXIF handling [#47745]
* Mon Aug 30 2004 - nadvornik@suse.cz
- fixed RLE decoding in AVI [#44081]
* Wed Aug 25 2004 - nadvornik@suse.cz
- fixed possible buffer overflow in decoding runlength-encoded BMP [#44081]
* Tue Sep 09 2003 - nadvornik@suse.cz
- fixed annotate function [29748]
* Mon Sep 08 2003 - nadvornik@suse.cz
- fixed reading of tiff images [#25552]
* Thu Aug 28 2003 - nadvornik@suse.cz
- fixed output from Magick++-config --version
- compiled with -fno-strict-aliasing
* Wed Aug 20 2003 - mjancar@suse.cz
- require the perl version we build with
* Tue Jul 29 2003 - nadvornik@suse.cz
- lib64 fixed
- filelist fixed
* Fri Jul 25 2003 - nadvornik@suse.cz
- updated to 5.5.7-10
- used perl_process_packlist
* Mon Feb 10 2003 - nadvornik@suse.cz
- updated to 5.5.4-4:
- fixed bug [#23111]
- copied ltdl sources from libtool package
* Thu Dec 19 2002 - adrian@suse.de
- add liblcms-devel to #neededforbuild
* Thu Nov 21 2002 - nadvornik@suse.cz
- updated to 5.5.1
* Wed Nov 20 2002 - ro@suse.de
- fix build with latest automake
* Fri Nov 01 2002 - nadvornik@suse.cz
- fixed detection of lpr [#21187]
- fixed to compile with new libjasper
* Tue Sep 03 2002 - nadvornik@suse.cz
- do not try to detect supported ghostscript devices [#18424]
* Thu Aug 29 2002 - nadvornik@suse.cz
- fixed typo in delegates.mgk
* Sat Aug 10 2002 - kukuk@suse.de
- Fix filelist for threaded perl
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuild
* Fri Jul 26 2002 - nadvornik@suse.cz
- update to 5.4.7-4
* Tue Jul 02 2002 - nadvornik@suse.cz
- update to 5.4.7
* Fri May 03 2002 - meissner@suse.de
- %%_lib fixes
* Wed Mar 06 2002 - nadvornik@suse.cz
- added symlink index.html->ImageMagick.html in doc directory
* Mon Feb 04 2002 - nadvornik@suse.cz
- update to 5.4.2-3, xtp updated to 5.4.3
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 17 2002 - nadvornik@suse.cz
- html files installed correctly
* Tue Jan 15 2002 - nadvornik@suse.cz
- update to 5.4.2:
- new scripting language utility, conjure
* Mon Dec 03 2001 - nadvornik@suse.cz
- update to 5.4.1:
- better SVG support
- changed default background color to none
- eliminated the libMagick.so dependancy on libtiff, libpng, libjpeg
- coders/wmf.c updated for libwmf 0.2
* Thu Oct 18 2001 - nadvornik@suse.cz
- update to 5.4.0:
- Text drawing now handles UTF8-encoding
- Added a MATLAB encoder
- Uses SHA instead of MD5 for image signatures
* Fri Aug 24 2001 - nadvornik@suse.cz
- update to 5.3.8:
- Added a new method SetImageClipMask().
- Added @ to the image geometry specification. Use it to specify
  the square-root of the maximum area in pixels of an image
- many bugfixes
* Tue Aug 21 2001 - nadvornik@suse.cz
- removed wv-devel from neededforbuild, it is no longer needed
- fixed segfault in svg converting
- fixed doc installation
* Wed Aug 15 2001 - nadvornik@suse.cz
- compiled with libjasper
* Tue Jul 24 2001 - nadvornik@suse.cz
- update to 5.3.7
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_fonto> to <ghostscript-fonts-other>
- changed neededforbuild <gs_fonts> to <ghostscript-fonts-std>
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_serv> to <ghostscript-serv>
* Wed Jun 27 2001 - nadvornik@suse.cz
- update to 5.3.6
- dropped ImageMagick-pictures subpackage
* Tue Jun 12 2001 - nadvornik@suse.cz
- update to 5.3.5
- fixed to compile with new autoconf
* Tue Apr 17 2001 - kukuk@suse.de
- Remove magickcpp_version macro
* Thu Apr 05 2001 - nadvornik@suse.cz
- updated to 5.3.1
* Tue Mar 27 2001 - ro@suse.de
- libtoolize main dir as well
* Tue Mar 27 2001 - ro@suse.de
- libtoolize
* Fri Mar 09 2001 - nadvornik@suse.cz
- updated to 5.3.0
- fixed neededforbuild
* Mon Feb 19 2001 - nadvornik@suse.cz
- fixed filelist
* Tue Feb 13 2001 - nadvornik@suse.cz
- update to 5.2.9
* Tue Dec 12 2000 - nadvornik@suse.cz
- compiled with option --with-threads
* Tue Dec 05 2000 - nadvornik@suse.cz
- update to 5.2.6
- now uses freetype2
* Thu Nov 16 2000 - nadvornik@suse.cz
- update to 5.2.5
* Tue Nov 14 2000 - nadvornik@suse.cz
- fixed writing transparent xpm files
* Wed Nov 08 2000 - nadvornik@suse.cz
- changed to long names
-    imagemag -> ImageMagick
-    magickd  -> ImageMagick-devel
-    magickpp -> ImageMagick-Magick++
-    plmagick -> perl-PerlMagick
-    impict   -> ImageMagick-pictures
* Wed Oct 18 2000 - nadvornik@suse.cz
- update to 5.2.4
- compiled with --with-modules
* Mon Sep 18 2000 - nadvornik@suse.cz
- fixed usage of suse_update_config
* Thu Sep 14 2000 - nadvornik@suse.cz
- drop subpackage imfilm, removed povray from neededforbuild
- povray scripts are now in /usr/share/doc/imagemag/scenes
* Thu Sep 14 2000 - nadvornik@suse.cz
- update to 5.2.3
- new subpackage magickd for includes and static libs
- changed prefix to /usr
- removed --without-largefiles
* Wed Aug 23 2000 - ro@suse.de
- fixed perl path
* Thu Jun 08 2000 - nadvornik@suse.cz
- update to latest source from ftp
- added source url
* Tue Jun 06 2000 - nadvornik@suse.cz
- images, scenes -> /usr/share/ImageMagick
- doc -> %%{_defaultdocdir}/imagemag
* Mon Jun 05 2000 - nadvornik@suse.cz
- used --without-largefiles
* Thu Jun 01 2000 - nadvornik@suse.cz
- xtp updated to 5.2.0
* Mon May 29 2000 - nadvornik@suse.cz
- updated to 5.2.0
* Fri May 19 2000 - nadvornik@suse.cz
- used %%{_defaultdocdir}
- changed group
* Fri Apr 28 2000 - nadvornik@suse.cz
- fixed to compile with xf86-4.0
* Mon Apr 10 2000 - nadvornik@suse.cz
- added URL
* Fri Apr 07 2000 - bk@suse.de
- added suse config update macro
* Thu Apr 06 2000 - nadvornik@suse.cz
- update to 5.1.1
- added BuildRoot
* Wed Jan 19 2000 - ro@suse.de
- fixed specfile
* Mon Jan 03 2000 - ro@suse.de
- update to 5.1.0
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 02 1999 - ro@suse.de
- update to 4.2.9
* Mon Jun 28 1999 - ro@suse.de
- update to 4.2.7
* Wed May 19 1999 - ro@suse.de
- fixed path in specfile
* Wed May 19 1999 - ro@suse.de
- fixed specfile
* Wed May 19 1999 - ro@suse.de
- update to 4.2.5
- new subpackage: magickpp (aka Magick++) a C++-API for libmagick
* Fri Feb 19 1999 - ro@suse.de
- update to 4.2.0
* Mon Jan 18 1999 - bs@suse.de
- set libraries to 755
* Wed Jan 13 1999 - ro@suse.de
- update to 4.1.7 / PerlMagick 1.58
* Mon Dec 14 1998 - ro@suse.de
- update to 4.1.6
- disabled unix98/ptys in configure.in
* Tue Dec 01 1998 - ro@suse.de
- update to 4.1.5 / PerlMagick 1.53
* Tue Nov 17 1998 - ro@suse.de
- update to 4.1.4
- switched to use configure instead of imake
* Mon Aug 17 1998 - ro@suse.de
- update to 4.0.9
* Fri Aug 14 1998 - ro@suse.de
- fixed online documentation
  /usr/doc/packages/ImageMagick/ImageMagick.html is start page
- added new subpackage PerlMagick "plmagick"
* Thu Aug 13 1998 - ro@suse.de
- update to 4.0.8
  fixed default for printCommand in Display with a app-defaults file
* Mon Jun 29 1998 - ro@suse.de
- update to version 4.0.7
  needs libpng-1.0.1 (and povray built with that version)
* Tue Apr 07 1998 - ro@suse.de
- update to version 4.0.4
  added freetype support
  needs libpng-1.0.1 (and povray built with that version)
* Sun Mar 01 1998 - ro@suse.de
- update to version 4.0.1
* Sun Nov 16 1997 - ro@suse.de
- fixed Symlink /usr/doc/packages/ImageMagick
* Fri Nov 14 1997 - ro@suse.de
- new version 3.9.2
* Tue Nov 11 1997 - ro@suse.de
- imfilm and impict are built from same specfile
* Mon Nov 03 1997 - ro@suse.de
- ready for autobuild
